{% extends "base-backend.html" %}
{% block content %}

<!-- list_site_invites_page -->

<div class="grid align-items-center ds-header-title-with-button">
  <div class="g-col-6 ds-title-with-icon-return">
    <a href="{{ url_for('admin_bp.list_users')}}" arial-label="return"><i data-feather="arrow-left"></i></a>
    <h1>
      {# i18n: Title on /admin/invites page #}
      {{ _("Invitations") }}
    </h1>
  </div>
  <div class="g-col-6">
    {# i18n: Button to invite new user #}
    <a class="btn btn-sm btn-primary" role="button" href="{{url_for('admin_bp.new_invite')}}">{{ _("Invite a new user") }}</a>
  </div>
</div>

<div class="grid mt-3">
  <div class="g-col-12">
    <p class="mb-0">{{ _("Manage invitations to create an account on this site") }}.</p>
  </div>
</div>

{% if invites %}
<div class="grid ds-wrapper-white mt-3 gap-0">
  <div class="g-col-12">
    <div class="table-responsive">
      <table id="invites_table" class="table align-middle mb-0">
        <thead class="">
          <tr>
            <th>{{ _("Sending date") }}</th>
            <th>{{ _("Email") }}</th>
            <th>{{ _("Role") }}</th>
            <th>{{ _("Invited by") }}</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {% for invite in invites %}
          <tr>
            <td nowrap="true">{{ invite.last_sent }}</td>
            <td>{{ invite.email }}</td>
            <td>{{ invite.role }}</td>
            <td>{{ invite.invited_by | safe }}</td>
            <td align="right">
              {% if not invite.has_granted_form %}
              <button type="button" class="btn btn-sm btn-outline-primary" data-bs-toggle="modal" data-bs-target="#message-{{invite.id}}">
                {{ _("Show") }}
              </button>
              <button id="send_again" type="button" class="btn btn-sm btn-outline-primary" onclick="sendEmail({{invite.id}})">
                {{ _("Send again") }}
              </button>
              {%endif%}
              <a class="btn btn-sm btn-danger" role="button" href="{{url_for('admin_bp.delete_invite', invite_id=invite.id)}}">{{ _("Delete") }}</a>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
    {% include 'common/invitation-msg-modals.html' %}
  </div>
  <form name="sendEmailForm" action="{{url_for('admin_bp.send_invite_again')}}" method="POST">
    <input name="csrf_token" type="hidden" value="{{ csrf_token() }}" />
    <input name="invite_id" type="hidden" />
  </form>
</div>
{% endif %}

<script>
const inline_help_file_name = "admin_invites.j2.md";

function sendEmail(invite_id) {
  $("#send_again").prop("disabled", true)
  $("input[name=invite_id]").val(invite_id)
  $("form[name=sendEmailForm]").submit()
}
</script>

{% endblock %}
